<?php
function check($user){


return TRUE; //Aufhebung aller Plausis am 18.05.2007


/*
global $db;
$db = dbconnect();
$res = $db->query("SELECT nachname, vorname, poplz, poOrt, poStrasse, mail
                      FROM stud
                     WHERE uid='$user'");
$stud = $res->fetch_array();

if($stud[nachname] != '' AND $stud[vorname] != '' AND $stud[poplz] != '' AND $stud[poOrt] != '' AND $stud[poStrasse] != '' AND $stud[mail] != ''){
  
# Wenn persönliche Daten ausgefüllt, dann weiter

  $res = $db->query("SELECT stellenbezeichnung, stellenart, dzu
                        FROM stan_stelle_einfjahr
                       WHERE uid='$user'");
  $weiteredaten = $res->fetch_array();
  
  if($weiteredaten[stellenbezeichnung] != '' AND $weiteredaten[stellenart] != '' AND $weiteredaten[dzu] != ''){
    
  # Wenn weitere Daten ausgefüllt, dann weiter
    
  
    $result_tmp1 = $db->query("DELETE FROM stan_tmp_check_data WHERE uid='$user'");
    
    
    $result = $db->query("SELECT nachname, vorname, postrasse, poplz, poort, stgtext, AG, Jahrgang, mail, mail2, mtknr, stg FROM stud where uid='$user'");
    $row = $result->fetch_array();
    
    $result3 = $db->query("SELECT DATE_FORMAT(antrag_von, '%d.%m.%Y') antrag_von, DATE_FORMAT(antrag_bis, '%d.%m.%Y') antrag_bis FROM stan_frist WHERE jahrgang ='$row[Jahrgang]'");
    $row3 = $result3->fetch_array();
    
    
    $result_tmp1 = $db->query("DELETE FROM stan_tmp_check_data WHERE uid='$user'");
    
    $result_tmp1 = $db->query("INSERT INTO stan_tmp_check_data
                                    SELECT t1.saaid
				         , t1.uid
				         , t1. beginn
				         , t1.ende
				         , t1.ort
				      FROM stan_antrag t1
				     WHERE t1.status = (
				                        SELECT MAX(t2.status)
				                          FROM stan_antrag t2
				                         WHERE t1.aendid = t2.aendid
				                       )
                                        AND t1.uid = '$user'
                                        AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
                             ");

    $result = $db->query("SELECT max(saaid) max_id FROM stan_tmp_check_data WHERE uid='$uid1'");
    $row4 = $result->fetch_array();
    $saaid_neu = $row4[max_id] + 1; // Damit alle Einträge eine ID haben
    $result_tmp1 = $db->query("INSERT INTO stan_tmp_check_data SELECT $saaid_neu, '$user', beginn, ende, 'Praxisbegleitender Unterricht' FROM stan_sperrzeit WHERE jahrgang ='$row[Jahrgang]' AND kennung = '$row[stg]'");
                                      
    $result = $db->query("SELECT max(saaid) max_id FROM stan_tmp_check_data WHERE uid='$uid1'");
    $row4 = $result->fetch_array();
    $saaid_neu = $row4[max_id] + 1; // Damit alle Einträge eine ID haben
    $result_tmp1 = $db->query("INSERT INTO stan_tmp_check_data SELECT $saaid_neu, '$user', DATE_SUB(antrag_von, INTERVAL 1 DAY), DATE_SUB(antrag_von, INTERVAL 1 DAY), 'Antragszeitraum Beginn' FROM stan_frist WHERE jahrgang ='$row[Jahrgang]'");

    $result = $db->query("SELECT max(saaid) max_id FROM stan_tmp_check_data WHERE uid='$uid1'");
    $row4 = $result->fetch_array();
    $saaid_neu = $row4[max_id] + 1; // Damit alle Einträge eine ID haben
    $result_tmp1 = $db->query("INSERT INTO stan_tmp_check_data SELECT $saaid_neu, '$user', DATE_ADD(antrag_bis, INTERVAL 1 DAY), DATE_ADD(antrag_bis, INTERVAL 1 DAY), 'Antragszeitraum Ende' FROM stan_frist WHERE jahrgang ='$row[Jahrgang]'");

    $query = "SELECT ma.uid, DATE_FORMAT(beginn, '%d.%m.%Y') beginn, DATE_FORMAT(ende, '%d.%m.%Y') ende, bezeichnung, COALESCE( luecke, 'OK' ) AS Luecke
                FROM stan_tmp_check_data ma
                LEFT JOIN ( SELECT saaid, 'Lücke folgt' AS luecke 
                              FROM stan_tmp_check_data a
                             WHERE a.ende != (SELECT MAX( ende ) FROM stan_tmp_check_data x WHERE x.uid = a.uid)
                               AND NOT EXISTS ( SELECT saaid FROM stan_tmp_check_data b
                                                 WHERE a.uid = b.uid
                                                   AND b.beginn = DATE_ADD( a.ende, INTERVAL 1 DAY )
                                              )
                                OR ( a.beginn IN (select beginn FROM stan_tmp_check_data d WHERE d.saaid != a.saaid)
                                     AND a.ende  IN (select ende FROM stan_tmp_check_data e WHERE e.saaid != a.saaid  AND e.uid = '$user')
                                   )
                          ) L
                  ON L.saaid = ma.saaid
               WHERE ma.uid = '$user'
               ORDER BY ma.uid, ma.beginn";
    $result = $db->query($query)
	      or die ("Cannot execute query");
	      
    while ($row2 = $result->fetch_array()){
        
      if($row2[Luecke] != 'OK'){
        $fehler = 1;
      }
    }
    
    $result_tmp1 = $db->query("DELETE FROM stan_tmp_check_data WHERE uid='$user'");
    
    if($fehler != 1){ 
    
    # Wenn kein leerer Zeitraum entdeckt wurde, dann weiter
      

      $res = $db->query("SELECT artid FROM `stan_stellenart` 
                           WHERE merkmal = 'A'");
      $ausland = $res->fetch_array();      
      
      $query = "SELECT t1.saaid,
                      t1.einver_dsts,
                      t1.ort,
                      t1.uid
                 FROM stan_antrag t1
                WHERE t1.status = (
                                   SELECT MAX(t2.status)
                                     FROM stan_antrag t2
                                    WHERE t1.aendid = t2.aendid
                                   )
                  AND t1.uid = '$user'
                  AND t1.art != $ausland[artid]
                  AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
               ";// Einverständniserklärung vom Ausland ist nicht notwendig
      
      $result = $db->query($query)
                or die ("Cannot execute query");
      
      while ($row2 = $result->fetch_array()){
        if($row2[einver_dsts] != 'Y'){
          $fehler2 = 1;
        }
      }
      
      if($fehler2 != 1){
      # Wenn Einverständniserklärung vorliegt, außer bei Ausland
      
        $res_anz = $db->query("SELECT count(distinct t1.sachbereich) Anzahl
                                  FROM stan_antrag t1
                                 WHERE t1.status = (
                                                    SELECT MAX(t2.status)
                                                      FROM stan_antrag t2
                                                     WHERE t1.aendid = t2.aendid
                                                   )
                                   AND t1.uid = '$user'
                                   AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
                               ");
	$anzahl_bereich = $res_anz->fetch_array();
	
	if($anzahl_bereich[Anzahl] >= 3){
	# Wenn mind. 3 Sachbereiche vorliegen
	
          return TRUE;
        }else{
          return FALSE;
        }
      }else{
        return FALSE;
      }
    }else{
      return FALSE;
    }       
  }else{
    return FALSE;
  }
}else{
  return FALSE;
}

*/

}


?>
